Bug 966963 - Some failures appear in platform.log during php app creation
Some failures appear in platform.log during php app creation
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Dan Mace
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-24 08:05 EDT by Meng Bo
Modified: 2015-05-14 19:19 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-11 00:11:05 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Meng Bo 2013-05-24 08:05:33 EDT
Description of problem:
Create php app, tail the platform.log during the app creation.

Found some failure in the log:
May 24 07:53:00 INFO Failed to render ERB


Version-Release number of selected component (if applicable):
devenv_3268

How reproducible:
always

Steps to Reproduce:
1.Tail platform log
#tailf /var/log/openshift/node/platform.log
2.Create php app
3.

Actual results:
Some failures in the platform.log

May 24 07:53:00 INFO Failed to render ERB /var/lib/openshift/307113805725126824558592/php/versions/5.3/configuration/etc/php.ini.erb: /opt/rh/ruby193/root/usr/bin/erb:117:in `set_encoding': No such file or directory - /var/lib/openshift/307113805725126824558592/php/versions/5.3/configuration/etc/php.ini.erb (Errno::ENOENT)
	from /opt/rh/ruby193/root/usr/bin/erb:117:in `run'
	from /opt/rh/ruby193/root/usr/bin/erb:154:in `<main>'


Expected results:
Should not have such info.

Additional info:
PHP app works well beside the error.
Comment 2 openshift-github-bot 2013-05-25 10:03:36 EDT
Commit pushed to master at https://github.com/openshift/origin-server

https://github.com/openshift/origin-server/commit/f73937b84a694af4206d23ae659a4e913663f58f
Bug 966963: Remove unnecessary versioned conf files from php cart

The php 5.3/5.4 configuration files all symlink back to shared. Remove the specific version
directories/files and use only the shared directory for setup. This also fixes a bug where
the symlinks to shared become broken during setup (as ERBs are removed during processing)
and cause the remaining symlinks to be re-processed as ERBs (which fails).
Comment 3 Meng Bo 2013-05-27 04:03:22 EDT
Checked on devenv_3277, php app creation will not generate failures in the platform.log now.

Note You need to log in before you can comment on or make changes to this bug.